Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::SortNodeIterator Struct Reference
Iterators

This Iterator sorts the nodes in a sequence based on their values in a DoubleProperty. More...

`#include <SortIterator.h>`

Inheritance diagram for tlp::SortNodeIterator:
[legend]
Collaboration diagram for tlp::SortNodeIterator:
[legend]

List of all members.

## Public Member Functions

- SortNodeIterator (Iterator< node > *itIn, DoubleProperty *metric)
- ~SortNodeIterator ()

## Detailed Description

This Iterator sorts the nodes in a sequence based on their values in a DoubleProperty.

## Constructor & Destructor Documentation

tlp::SortNodeIterator::SortNodeIterator | ( | Iterator< node > * | itIn,
|  | DoubleProperty * | metric
| ) |  | `[inline]`

tlp::SortNodeIterator::~SortNodeIterator | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012